<?php

/* Translation */
$blake_von_hauer_tra_Sticky = esc_html__( 'STICKY', 'blake-von-hauer' );

if ( get_theme_mod( 'blake_von_hauer_IgnorePOT', 0 ) ) {

	$blake_von_hauer_tra_Sticky = get_theme_mod( 'blake_von_hauer_tra_Sticky', 'STICKY' );

}
/* */

/* Checkbox Default Values */
$blake_von_hauer_sh_TagBar_Home = get_theme_mod( 'blake_von_hauer_sh_TagBar_Home', 1 );
$blake_von_hauer_sh_CategoryBar_Home = get_theme_mod( 'blake_von_hauer_sh_CategoryBar_Home', 1 );

$blake_von_hauer_sh_Date_Home = get_theme_mod( 'blake_von_hauer_sh_Date_Home', 1 );
$blake_von_hauer_sh_btnComments_Home = get_theme_mod( 'blake_von_hauer_sh_btnComments_Home', 1 );
/* */

/* Radio Default Values */
$blake_von_hauer_opt_GalleryPos_Gallery = get_theme_mod( 'blake_von_hauer_opt_GalleryPos_Gallery', 'content' );
/* */

/* "A Style" for 2+ columns and sidebar */
$a_style = '';
$a_style_sidebar = '';
if ( is_archive() ) { $get_layout = get_theme_mod( 'blake_von_hauer_opt_Layout_Archive', '1col_sidebar' ); } else { $get_layout = get_theme_mod( 'blake_von_hauer_opt_Layout', '1col_sidebar' ); }
if ( $get_layout == '2col' || $get_layout == '2col_sidebar' || $get_layout == '2_3col' || $get_layout == '3col' ) { $a_style = '-2'; }
if ( $get_layout == '1col_sidebar' || $get_layout == '2col_sidebar' || $get_layout == '1_2col_sidebar' || $get_layout == '3col' ) { $a_style_sidebar = '-s'; }
/* */

?>

<div<?php if ( !is_single() ) { echo ' class="clearfix ' . blake_von_hauer_applyColumns() . '"'; } ?>>

    <div <?php post_class(); ?>>

        <article class="post post-gallery clearfix">

            <div class="article-outer<?php echo blake_von_hauer_applyLayout(); ?>">
				<div class="article-inner">
                    <div class="article-container<?php if ( is_single() ) { echo ' post-detail'; } ?> clearfix">

                    	<?php if ( blake_von_hauer_checkStyle_Z() ) { ?>

                            <div class="post-styleZ">
                                <a href="<?php esc_url( the_permalink() ); ?>">
                                    <div class="post-styleZ-inner clearfix">
										<?php if ( has_post_thumbnail() ) { ?><div class="post-styleZ-img"><?php echo the_post_thumbnail( 'blake-von-hauer-small-thumbnail-image' ); ?></div><?php } ?>
                                        <div class="post-styleZ-info <?php if ( has_post_thumbnail() ) { echo 'post-styleZ-info-with-t'; } ?>">
                                            <div class="table-cell-middle"><div class="listing-title <?php echo get_theme_mod( 'blake_von_hauer_swiFont_HLT', 'blake-von-hauer-font-1' ); ?>"><h2 class="home-listing-title-z-inner"><?php the_title(); ?></h2></div></div>
                                        </div>
                                    </div>
                                </a>
                            </div>

                        <?php } else {

							if ( is_single() ) {

								get_template_part( 'single-start' );

								if ( ( has_shortcode( $post->post_content, 'gallery' ) || blake_von_hauer_check_gutenberg_gallery() ) && ( $blake_von_hauer_opt_GalleryPos_Gallery == 'iof' || $blake_von_hauer_opt_GalleryPos_Gallery == 'both' ) ) {

									echo blake_von_hauer_galleryToSlider( 'the_content' );

								} else {

									$meta_woi = get_post_meta( get_the_ID(), 'bvh-woi-meta-box-checkbox', true );

									if ( !$meta_woi ) {

										echo '<div class="fea-img-container">';
										the_post_thumbnail();
										echo '</div>';

									}

								}

								get_template_part( 'single-mid' ); ?>
								<div class="blake-von-hauer-font-2 fs16"><?php echo blake_von_hauer_formatGetTheContent(); ?></div>
                                <?php get_template_part( 'single-end' );

							} else {

								if ( blake_von_hauer_checkStyle_B() ) { ?>

                                    <div class="post-styleZ post-styleB">
                                        <a href="<?php esc_url( the_permalink() ); ?>">
                                            <div class="post-styleZ-inner clearfix">
                                                <?php if ( has_post_thumbnail() ) { ?><div class="post-styleZ-img"><?php echo the_post_thumbnail( 'blake-von-hauer-mid-thumbnail-image' ); ?></div><?php } ?>
                                                <div class="post-styleZ-info <?php if ( has_post_thumbnail() ) { echo 'post-styleZ-info-with-t'; } ?>">
                                                    <div class="table-cell-middle"><?php if ( $blake_von_hauer_sh_Date_Home ) { ?><div class="blake-von-hauer-font-3 fw700 fst-italic listing-date"><?php echo get_the_date(); ?></div><?php } ?><div class="listing-title <?php echo get_theme_mod( 'blake_von_hauer_swiFont_HLT', 'blake-von-hauer-font-1' ); ?>"><h2 class="home-listing-title-z-inner"><?php the_title(); ?></h2></div><?php if ( $blake_von_hauer_sh_btnComments_Home && comments_open() ) { ?><div class="blake-von-hauer-font-3 fw700 fst-italic listing-comment-w-o-date clearfix"><div class="listing-comment-icon"><i class="fa fa-comment"></i></div><div class="listing-comment-number"><?php comments_number( '0', '1', '%' ); ?></div></div><?php } ?></div>
                                                </div>
                                            </div>
                                        </a>
                                    </div>

								<?php } else {

									$meta_hor = get_post_meta( get_the_ID(), 'bvh-hor-meta-box-checkbox', true ); ?>

                                	<div class="post-styleZ post-styleA<?php echo esc_attr( $a_style ) . esc_attr( $a_style_sidebar ); ?>">
                                        <div class="post-styleZ-inner clearfix">
                                            <?php if ( has_post_thumbnail() ) { ?><div class="post-styleZ-img"><a href="<?php esc_url( the_permalink() ); ?>"><?php if ( !$meta_hor ) { echo the_post_thumbnail( 'blake-von-hauer-thumbnail-image' ); } else { echo the_post_thumbnail( 'blake-von-hauer-thumbnail-image-hor' ); } ?></a></div><?php } ?>
                                            <div class="post-styleZ-info <?php if ( has_post_thumbnail() ) { echo 'post-styleZ-info-with-t'; } ?>">
                                                <div class="table-cell-middle"><?php if ( $blake_von_hauer_sh_Date_Home ) { ?><div class="blake-von-hauer-font-3 fw700 fst-italic listing-date"><a href="<?php esc_url( the_permalink() ); ?>"><?php echo get_the_date(); ?></a></div><?php } ?><?php if ( $blake_von_hauer_sh_btnComments_Home && comments_open() ) { ?><div class="blake-von-hauer-font-3 fw700 fst-italic listing-comment-w-o-date clearfix"><a href="<?php esc_url( the_permalink() ); ?>#comments"><div class="listing-comment-icon"><i class="fa fa-comment"></i></div><div class="listing-comment-number"><?php comments_number( '0', '1', '%' ); ?></div></a></div><?php } ?><?php if ( is_sticky() && is_home() && !is_paged() ) { echo '<span class="sticky-icon fs11 fw700 fst-italic blake-von-hauer-font-3">' . esc_attr( $blake_von_hauer_tra_Sticky ) . '</span>'; } ?><?php get_template_part( 'pager-bar' ); if ( get_the_category() && $blake_von_hauer_sh_CategoryBar_Home ) { get_template_part( 'category-bar' ); } if ( $blake_von_hauer_sh_TagBar_Home ) { the_tags( '<div class="home-cat-tag-page blake-von-hauer-font-3 fs14 fw700 fst-italic">', ', ', '</div>' ); } ?><div class="listing-title <?php echo get_theme_mod( 'blake_von_hauer_swiFont_HLT', 'blake-von-hauer-font-1' ); ?>"><h2 class="home-listing-title-z-inner"><a href="<?php esc_url( the_permalink() ); ?>"><?php the_title(); ?></a></h2></div><?php echo blake_von_hauer_appendMoreButton(); ?></div>
                                            </div>
                                        </div>
                                    </div>

							<?php }

							}

						} ?>

                    </div>
                </div>
            </div>

        </article>

	</div>

</div>
