    <div id="footer-box-outer" class="footer-box-outer">
        <footer class="clearfix">

			<?php if ( is_active_sidebar( 'blake_von_hauer_footer_widgets' ) && get_theme_mod( 'blake_von_hauer_sh_footerWidgets', 1 ) ) {

                ob_start( 'blake_von_hauer_compress' ); ?>

                <div class="footer-box-inner clearfix">
                    <div class="footer-widget-area">
                        <div class="footer-widget-area-inner<?php if ( get_theme_mod( 'blake_von_hauer_footerWidgetsCol', '3col' ) == '2col' ) { echo '-col2'; } ?> clearfix"><?php dynamic_sidebar( 'blake_von_hauer_footer_widgets' ); ?></div>
                    </div>
                </div>

            <?php ob_end_flush(); } ?>

            <?php /* Instagram Slider Widget */
			if ( get_theme_mod( 'blake_von_hauer_InstagramShortcode', '' ) ) {

				echo '<div class="instagram-label blake-von-hauer-font-3 fw700 fst-italic fs14">' . esc_attr( get_theme_mod( 'blake_von_hauer_InstagramText', 'FOLLOW @ INSTAGRAM' ) ) . '</div>';
				echo do_shortcode( get_theme_mod( 'blake_von_hauer_InstagramShortcode', '' ) );

			}
			/* */ ?>

            <?php if ( get_theme_mod( 'blake_von_hauer_sh_bottomLine', 1 ) ) {

			/* Translation */
			$blake_von_hauer_tra_BackToTop = esc_html__( 'BACK TO TOP', 'blake-von-hauer' );

			if ( get_theme_mod( 'blake_von_hauer_IgnorePOT', 0 ) ) {

				$blake_von_hauer_tra_BackToTop = get_theme_mod( 'blake_von_hauer_tra_BackToTop', 'BACK TO TOP' );

			}
			/* */

			?>
            <div class="footer-bottom-outer">
                <div class="footer-bottom clearfix">
                    <div class="footer-text blake-von-hauer-font-3 fs12 fw700 fst-italic"><?php echo esc_attr( get_theme_mod( 'blake_von_hauer_text_Footer', '2019 BLAKE von HAUER. ALL RIGHTS RESERVED.' ) ); ?></div><?php echo blake_von_hauer_placeSocialIcons( 'footer-social' ); ?><div class="footer-menu-outer fs12 fw700 fst-italic clearfix">

                        <?php if ( get_theme_mod( 'blake_von_hauer_sh_FooterMenu', 1 ) ) {

                            $args_footer = array(
                                'theme_location' => 'footer_menu',
                                'container_class' => 'footer-nav',
                                'menu_id'         => 'footer-menu',
                                'depth'		   => '-1',
								'echo' => false,
                                'fallback_cb' => 'blake_von_hauer_assign_FooterMenu'
                            );

							$nav = wp_nav_menu( $args_footer );
							echo str_replace( '</a></li>', '</a></li><li class="nav-sep"></li>', $nav );

                        } else {

                            echo '<a href="javascript:void(0);" class="blake-von-hauer-font-3 fw700 fst-italic fs12 btn-to-top"><i class="fa fa-chevron-up"></i>' . esc_attr( $blake_von_hauer_tra_BackToTop ) . '</a>';

                        } ?>

                    </div>
                </div>
            </div>
            <?php } ?>
        </footer>
    </div>

</div><!-- /body-outer -->

<div class="hiddenInfo">
  <span id="mapInfo_Zoom"><?php echo esc_attr( get_theme_mod( 'blake_von_hauer_rng_MapZoom', 15 ) ); ?></span>
  <span id="mapInfo_coorN"><?php echo esc_attr( get_theme_mod( 'blake_von_hauer_coorN', '49.0138' ) ); ?></span>
  <span id="mapInfo_coorE"><?php echo esc_attr( get_theme_mod( 'blake_von_hauer_coorE', '8.38624' ) ); ?></span>
  <span id="bxInfo_Controls"><?php echo esc_attr( get_theme_mod( 'blake_von_hauer_opt_bxControls', 'arrow' ) ); ?></span>
  <span id="bxInfo_Auto"><?php echo esc_attr( get_theme_mod( 'blake_von_hauer_bxAuto', 0 ) ); ?></span>
  <span id="bxInfo_Controls_Main"><?php echo esc_attr( get_theme_mod( 'blake_von_hauer_opt_bxControls_Main', 'both' ) ); ?></span>
  <span id="bxInfo_Auto_Main"><?php echo esc_attr( get_theme_mod( 'blake_von_hauer_bxAuto_Main', 0 ) ); ?></span>
  <span id="bxInfo_Pause"><?php echo esc_attr( get_theme_mod( 'blake_von_hauer_sliderPause', 4000 ) ); ?></span>
  <span id="bxInfo_Infinite"><?php echo esc_attr( get_theme_mod( 'blake_von_hauer_sliderInfinite', 1 ) ); ?></span>
  <span id="bxInfo_Random"><?php echo esc_attr( get_theme_mod( 'blake_von_hauer_sliderRandom', 0 ) ); ?></span>
  <span id="bxInfo_Mode"><?php echo esc_attr( get_theme_mod( 'blake_von_hauer_sliderMode', 'horizontal' ) ); ?></span>
  <span id="siteUrl"><?php echo esc_attr( get_home_url() ); ?></span>
  <span id="trigger-sticky-value"><?php echo esc_attr( get_theme_mod( 'blake_von_hauer_triggerSticky', '300' ) ); ?></span>
  <span id="menu-logo-l-r"><?php if ( get_theme_mod( 'blake_von_hauer_opt_LogoPos', 'logo-bottom' ) == 'logo-left' && get_theme_mod( 'blake_von_hauer_opt_MenuPos', 'menu-left' ) == 'menu-right' ) { echo'true'; } ?></span>
  <span id="slicknav_apl"><?php echo esc_attr( get_theme_mod( 'blake_von_hauer_slicknav_apl', 1 ) ); ?></span>
</div>

<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>