<?php get_header();

	/* Checkbox Default Values */
	$blake_von_hauer_sh_SidebarInnerStatic = get_theme_mod( 'blake_von_hauer_sh_SidebarInnerStatic', 1 );
	$blake_von_hauer_sh_SidebarInnerPage = get_theme_mod( 'blake_von_hauer_sh_SidebarInnerPage', 1 );
	$blake_von_hauer_sh_PageComments = get_theme_mod( 'blake_von_hauer_sh_PageComments', 1 );
	$blake_von_hauer_sh_SocialBar_Page = get_theme_mod( 'blake_von_hauer_sh_SocialBar_Page', 1 );
	/* */

	?>
	<div class="clearfix main-container<?php echo blake_von_hauer_applyLayout(); ?>">
        <div class="clearfix site-content<?php echo blake_von_hauer_applyLayout(); ?>">

			<?php

			/* Leaderboard Banner */ if ( function_exists( 'blake_von_hauer_detectLeaderboard' ) ) { blake_von_hauer_detectLeaderboard ( 'above-page' ); } /* */

            if ( have_posts() ) :
                while ( have_posts() ) : the_post(); ?>

                <article class="post post-page clearfix">
                    <div class="article-outer<?php echo blake_von_hauer_applyLayout(); ?>">
                        <div class="article-inner">

                        	<?php if ( get_theme_mod( 'blake_von_hauer_sh_Map', 0 ) && get_theme_mod( 'blake_von_hauer_mapPage' ) == get_the_ID() ) { ?>
								<div id="googleMap"></div>
                            <?php } else { ?>
                            	<div class="fea-img-container"><?php the_post_thumbnail(); ?></div>
							<?php } ?>

                            <div class="article-container clearfix">

                                <?php if ( get_the_title() ) { ?>
                                    <?php if ( get_the_title() ) { ?><h1 class="header-area-title <?php echo get_theme_mod( 'blake_von_hauer_swiFont_HAT', 'blake-von-hauer-font-1' ); ?>"><?php the_title(); ?></h1><?php } ?>
                                    <div class="blake-sep"></div>
                                <?php } ?>

                                <div class="article-content-outer<?php echo blake_von_hauer_applyLayout(); ?>">
                                    <div class="blake-von-hauer-font-2 fs16 clearfix"><?php the_content(); ?></div>
																		<?php get_template_part( 'pager-bar' ); ?>
                                    <?php if ( $blake_von_hauer_sh_SocialBar_Page ) { get_template_part( 'social-bar' ); } ?>
                                </div>

                            </div>
                        </div>
                    </div>
                </article>

                <?php

				/* Leaderboard Banner */ if ( function_exists( 'blake_von_hauer_detectLeaderboard' ) ) { blake_von_hauer_detectLeaderboard ( 'below-page' ); } /* */

				if ( $blake_von_hauer_sh_PageComments ) { comments_template(); }

				/* Leaderboard Banner */ if ( function_exists( 'blake_von_hauer_detectLeaderboard' ) ) { blake_von_hauer_detectLeaderboard ( 'below-page-comments' ); } /* */

                endwhile;

                else :

                get_template_part( 'nothing-found' );

                endif; ?>

            </div><!-- /site-content -->
		</div><!-- /main-container -->

    </div><!-- /article-wrapper-outer -->

    <!-- sidebar -->

    <?php

	if ( is_front_page() ) {

		if ( $blake_von_hauer_sh_SidebarInnerStatic ) {

			if ( get_theme_mod( 'blake_von_hauer_ExtraSidebar_Static' ) ) {

				echo '<div class="sidebar clearfix">';
					dynamic_sidebar( 'blake_von_hauer_sidebar_static' );
				echo '</div>';

			} else {

				get_sidebar();

			}

		}

	} else {

		if ( $blake_von_hauer_sh_SidebarInnerPage ) {

			if ( get_theme_mod( 'blake_von_hauer_ExtraSidebar_Page' ) ) {

				echo '<div class="sidebar clearfix">';
					dynamic_sidebar( 'blake_von_hauer_sidebar_page' );
				echo '</div>';

			} else {

				get_sidebar();

			}

		}

	}

    ?>

    <!-- /sidebar -->

</div><!-- /site-mid -->

<?php get_footer(); ?>
