<?php get_header();

/* Radio Default Values */
$blake_von_hauer_opt_Layout = get_theme_mod( 'blake_von_hauer_opt_Layout', '1col_sidebar' );
/* */

/* Style A Check for (1 + X) Column Layouts */
$blake_von_hauer_postPerPage = get_option( 'posts_per_page' );
$blake_von_hauer_styleA_count = get_theme_mod( 'blake_von_hauer_styleA_count', 0 );
$blake_von_hauer_styleB_count = get_theme_mod( 'blake_von_hauer_styleB_count', 0 );
$blake_von_hauer_styleZ_count = get_theme_mod( 'blake_von_hauer_styleZ_count', 0 );
if ( $blake_von_hauer_styleA_count + $blake_von_hauer_styleB_count + $blake_von_hauer_styleZ_count > $blake_von_hauer_postPerPage ) { $blake_von_hauer_styleA_count = $blake_von_hauer_postPerPage; }
if ( $blake_von_hauer_styleA_count + $blake_von_hauer_styleB_count + $blake_von_hauer_styleZ_count < $blake_von_hauer_postPerPage ) { $blake_von_hauer_styleA_count = $blake_von_hauer_postPerPage - ( $blake_von_hauer_styleB_count + $blake_von_hauer_styleZ_count ); }
if ( $blake_von_hauer_styleA_count % 2 == 0 ) { $styleA_odd_check = 0; } else { $styleA_odd_check = 1; }
if ( $blake_von_hauer_styleA_count % 3 == 0 ) { $styleA_odd_check_3 = 0; } else if ( $blake_von_hauer_styleA_count % 3 == 1 ) { $styleA_odd_check_3 = 1; } else { $styleA_odd_check_3 = 2; }
/* */

?>

		<div class="clearfix main-container<?php echo blake_von_hauer_applyLayout(); ?>">
        	<div class="clearfix site-content<?php echo blake_von_hauer_applyLayout(); ?>">

				<?php

				/* Slider - Among */
                if ( get_theme_mod( 'blake_von_hauer_opt_SliderPosition', 'cover' ) == 'among' ) {

                    if ( get_theme_mod( 'blake_von_hauer_bpts', '0' ) ) {

                        blake_von_hauer_blogPostsToSlider();

                    } else {

                        blake_von_hauer_placeSlider();

                    }

                } /* /Slider - Among */

				/* Leaderboard Banner */ if ( function_exists( 'blake_von_hauer_detectLeaderboard' ) ) { blake_von_hauer_detectLeaderboard ( 'above-blog-posts' ); } /* */

				?>

                <!-- wrapper -->
                <div class="wrapper clearfix">

                <?php

                $blake_von_hauer_counter = 0;
				$blake_von_hauer_text_HomepageCats = get_theme_mod( 'blake_von_hauer_text_HomePosts', '' );
				$blake_von_hauer_text_HidePosts = get_theme_mod( 'blake_von_hauer_text_HidePosts', '' );
				$hiddenPostIDs = explode( ',', esc_attr( $blake_von_hauer_text_HidePosts ) );

				$hiddenSliderPosts = implode( ',', blake_von_hauer_excludePostsUsedInSlider() );
				$hiddenCombinedPosts = $hiddenSliderPosts . ',' . esc_attr( $blake_von_hauer_text_HidePosts );
				$hiddenCombinedPostsArr = explode( ',', esc_attr( $hiddenCombinedPosts ) );

				/* Hide the posts in the feed if "Show Blog Posts in Slider" option is chosen. - Optional */
                if ( get_theme_mod( 'blake_von_hauer_bptsExclude', '0' ) ) {

                    $indexLoop_args = array(
						'post_type' => 'post',
						'post__not_in' =>  $hiddenCombinedPostsArr,
						'paged' => get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1
					);

					if ( $blake_von_hauer_text_HomepageCats && get_theme_mod( 'blake_von_hauer_opt_HomePosts', 'all' ) != 'all' ) {

						$homepageCatIDs = explode( ',', esc_attr( $blake_von_hauer_text_HomepageCats ) );

						if ( get_theme_mod( 'blake_von_hauer_opt_HomePosts', 'all' ) == 'hidecats' ) {

							$indexLoop_shCats = array( 'category__not_in' => $homepageCatIDs );

						} else if ( get_theme_mod( 'blake_von_hauer_opt_HomePosts', 'all' ) == 'showcats' ) {

							$indexLoop_shCats = array( 'cat' => $homepageCatIDs );

						}

						$indexLoop_final = array_merge( $indexLoop_args, $indexLoop_shCats );

					} else {

						$indexLoop_final = $indexLoop_args;

					}

                    $indexPosts = new WP_Query( $indexLoop_final );

                    // Pagination fix
                    $temp_query = $wp_query;
                    $wp_query   = NULL;
                    $wp_query   = $indexPosts;

                } else {

                    $indexLoop_args = array(
						'post_type' => 'post',
						'post__not_in' => $hiddenPostIDs,
                        'paged' => get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1
                    );

					if ( $blake_von_hauer_text_HomepageCats && get_theme_mod( 'blake_von_hauer_opt_HomePosts', 'all' ) != 'all' ) {

						$homepageCatIDs = explode( ',', esc_attr( $blake_von_hauer_text_HomepageCats ) );

						if ( get_theme_mod( 'blake_von_hauer_opt_HomePosts', 'all' ) == 'hidecats' ) {

							$indexLoop_shCats = array( 'category__not_in' => $homepageCatIDs );

						} else if ( get_theme_mod( 'blake_von_hauer_opt_HomePosts', 'all' ) == 'showcats' ) {

							$indexLoop_shCats = array( 'cat' => $homepageCatIDs );

						}

						$indexLoop_final = array_merge( $indexLoop_args, $indexLoop_shCats );

					} else {

						$indexLoop_final = $indexLoop_args;

					}

                    $indexPosts = new WP_Query( $indexLoop_final );

					if ( $blake_von_hauer_text_HomepageCats && get_theme_mod( 'blake_von_hauer_opt_HomePosts', 'all' ) != 'all' ) {

						// Pagination fix
						$temp_query = $wp_query;
						$wp_query   = NULL;
						$wp_query   = $indexPosts;

					}

                }

                $blake_von_hauer_counter = 0;
				$blake_von_hauer_banner_AFP = 0;

                if ( $indexPosts->have_posts() ) :
                    while ( $indexPosts->have_posts() ) : $indexPosts->the_post();

                    if ( $blake_von_hauer_opt_Layout == '2col' || $blake_von_hauer_opt_Layout == '2col_sidebar' ) {

                        // Open & close row in every 2 entries for 2 columns layout

                        if ( $blake_von_hauer_counter % 2 == 0 ) { ?>

                            <!-- row -->
                            <div class="row-1-2 clearfix">

                    <?php }

                        get_template_part( 'content', get_post_format() );
                        $blake_von_hauer_counter += 1;

                        if ( $blake_von_hauer_counter % 2 == 0 || $blake_von_hauer_counter == $wp_query->post_count ) { ?>

                            </div><!-- /row -->
                            <?php /* Leaderboard Banner */ if ( !$blake_von_hauer_banner_AFP ) { if ( function_exists( 'blake_von_hauer_detectLeaderboard' ) ) { blake_von_hauer_detectLeaderboard ( 'after-first-post' ); } $blake_von_hauer_banner_AFP = 1; } /* */ ?>

                    	<?php }

                    } else if ( $blake_von_hauer_opt_Layout == '1_2col' || $blake_von_hauer_opt_Layout == '1_2col_sidebar' ) {

                        // Open & close row for "A Style" entries and then in every 2 entries for 1 + 2 columns layout

						if ( $blake_von_hauer_counter <= $blake_von_hauer_styleA_count - 1 ) { ?>

							<!-- row -->
							<div class="row-1-1-2 clearfix">

						<?php } else {

							if ( $blake_von_hauer_counter % 2 == $styleA_odd_check ) { ?>

								<!-- row -->
								<div class="row-1-2 clearfix">

						<?php }

						}

						get_template_part( 'content', get_post_format() );
						$blake_von_hauer_counter += 1;

						if ( $blake_von_hauer_counter <= $blake_von_hauer_styleA_count || ( $blake_von_hauer_counter > $blake_von_hauer_styleA_count && $blake_von_hauer_counter % 2 == $styleA_odd_check ) || $blake_von_hauer_counter == $wp_query->post_count ) { ?>

							</div><!-- /row -->
							<?php /* Leaderboard Banner */ if ( !$blake_von_hauer_banner_AFP ) { if ( function_exists( 'blake_von_hauer_detectLeaderboard' ) ) { blake_von_hauer_detectLeaderboard ( 'after-first-post' ); } $blake_von_hauer_banner_AFP = 1; } /* */ ?>

						<?php }

                    } else if ( $blake_von_hauer_opt_Layout == '3col' ) {

                        // Open & close row in every 3 entries for 3 columns layout

                        if ( $blake_von_hauer_counter % 3 == 0 ) { ?>

                            <!-- row -->
                            <div class="row-1-3 clearfix">

                    	<?php }

                        get_template_part( 'content', get_post_format() );
                        $blake_von_hauer_counter += 1;

                        if ( $blake_von_hauer_counter % 3 == 0 || $blake_von_hauer_counter == $wp_query->post_count ) { ?>

                            </div><!-- /row -->
                            <?php /* Leaderboard Banner */ if ( !$blake_von_hauer_banner_AFP ) { if ( function_exists( 'blake_von_hauer_detectLeaderboard' ) ) { blake_von_hauer_detectLeaderboard ( 'after-first-post' ); } $blake_von_hauer_banner_AFP = 1; } /* */ ?>

                    	<?php }

                    } else if ( $blake_von_hauer_opt_Layout == '2_3col' ) {

                        // Open & close row for the first 2 entries and then in every 3 entries for 3 columns layout

						if ( $blake_von_hauer_counter == 0 ) { ?>

                        	<!-- row -->
                            <div class="row-2-3 clearfix">

                     	<?php } else {

							if ( $blake_von_hauer_counter % 3 == 2 ) { ?>

								<!-- row -->
								<div class="row-1-3 clearfix">

							<?php }

						}

                        get_template_part( 'content', get_post_format() );
                        $blake_von_hauer_counter += 1;

                        if ( $blake_von_hauer_counter == 2 || $blake_von_hauer_counter % 3 == 2 || $blake_von_hauer_counter == $wp_query->post_count ) { ?>

                            </div><!-- /row -->
                            <?php /* Leaderboard Banner */ if ( !$blake_von_hauer_banner_AFP ) { if ( function_exists( 'blake_von_hauer_detectLeaderboard' ) ) { blake_von_hauer_detectLeaderboard ( 'after-first-post' ); } $blake_von_hauer_banner_AFP = 1; } /* */ ?>

                    	<?php }

                    } else if ( $blake_von_hauer_opt_Layout == '1_3col' ) {

						// Open & close row for "A Style" entries and then in every 3 entries for 1 + 3 columns layout

						if ( $blake_von_hauer_counter <= $blake_von_hauer_styleA_count - 1 ) { ?>

							<!-- row -->
							<div class="row-1-1-2 clearfix">

						<?php } else {

							if ( $blake_von_hauer_counter % 3 == $styleA_odd_check_3 ) { ?>

								<!-- row -->
								<div class="row-1-3 clearfix">

						<?php }

						}

						get_template_part( 'content', get_post_format() );
						$blake_von_hauer_counter += 1;

						if ( $blake_von_hauer_counter <= $blake_von_hauer_styleA_count || ( $blake_von_hauer_counter > $blake_von_hauer_styleA_count && $blake_von_hauer_counter % 3 == $styleA_odd_check_3 ) || $blake_von_hauer_counter == $wp_query->post_count ) { ?>

							</div><!-- /row -->
							<?php /* Leaderboard Banner */ if ( !$blake_von_hauer_banner_AFP ) { if ( function_exists( 'blake_von_hauer_detectLeaderboard' ) ) { blake_von_hauer_detectLeaderboard ( 'after-first-post' ); } $blake_von_hauer_banner_AFP = 1; } /* */ ?>

						<?php }

                    } else {

                        get_template_part( 'content', get_post_format() );
                        $blake_von_hauer_counter += 1;
						/* Leaderboard Banner */ if ( !$blake_von_hauer_banner_AFP ) { if ( function_exists( 'blake_von_hauer_detectLeaderboard' ) ) { blake_von_hauer_detectLeaderboard ( 'after-first-post' ); } $blake_von_hauer_banner_AFP = 1; } /* */

                    }

                    endwhile;

                else :

                get_template_part( 'nothing-found' );

                endif;

                wp_reset_postdata();

                ?>

                </div><!-- /wrapper -->

                <?php

                blake_von_hauer_Pagination();

				if ( get_theme_mod( 'blake_von_hauer_bptsExclude', '0' ) || ( $blake_von_hauer_text_HomepageCats && get_theme_mod( 'blake_von_hauer_opt_HomePosts', 'all' ) != 'all' ) ) {

                    // Reset main query object
                    $wp_query = NULL;
                    $wp_query = $temp_query;

                }

				/* Leaderboard Banner */ if ( function_exists( 'blake_von_hauer_detectLeaderboard' ) ) { blake_von_hauer_detectLeaderboard ( 'below-blog-posts' ); } /* */

				/* Home Widgets */
                ob_start( 'blake_von_hauer_compress' );

                if ( is_active_sidebar( 'blake_von_hauer_home_widgets' ) && get_theme_mod( 'blake_von_hauer_sh_HomeWidgets', 1 ) ) {

                     if ( get_theme_mod( 'blake_von_hauer_sh_HomeWidgetsFront', 1 ) ) {

                         if ( get_query_var( 'paged' ) <= 1 ) { ?>

                            <div class="home-widget-area">
                                <div class="home-widget-area-inner<?php if ( $blake_von_hauer_opt_Layout == '1col_sidebar' || $blake_von_hauer_opt_Layout == '2col_sidebar' || $blake_von_hauer_opt_Layout == '1_2col_sidebar' ) { echo '-col2-sidebar'; } else if ( get_theme_mod( 'blake_von_hauer_homeWidgetsCol', '2col' ) == '2col' ) { echo '-col2'; } ?> clearfix"><?php dynamic_sidebar( 'blake_von_hauer_home_widgets' ); ?></div>
                            </div>

                        <?php }

                    } else { ?>

                        <div class="home-widget-area">
							<div class="home-widget-area-inner<?php if ( $blake_von_hauer_opt_Layout == '1col_sidebar' || $blake_von_hauer_opt_Layout == '2col_sidebar' || $blake_von_hauer_opt_Layout == '1_2col_sidebar' ) { echo '-col2-sidebar'; } else if ( get_theme_mod( 'blake_von_hauer_homeWidgetsCol', '2col' ) == '2col' ) { echo '-col2'; } ?> clearfix"><?php dynamic_sidebar( 'blake_von_hauer_home_widgets' ); ?></div>
                        </div>

                    <?php }

                } ob_end_flush();
                /* /Home Widgets */

				/* Leaderboard Banner */ if ( function_exists( 'blake_von_hauer_detectLeaderboard' ) ) { blake_von_hauer_detectLeaderboard ( 'below-home-widgets' ); } /* */

                ?>

            </div><!-- /site-content -->
		</div><!-- /main-container -->

    </div><!-- /article-wrapper-outer -->

    <?php /* Sidebar - Home */
    if ( $blake_von_hauer_opt_Layout == '1col_sidebar' || $blake_von_hauer_opt_Layout == '2col_sidebar' || $blake_von_hauer_opt_Layout == '1_2col_sidebar' ) { get_sidebar(); } /* /Sidebar - Home */?>

</div><!-- /site-mid -->

<?php get_footer(); ?>
