<?php get_header();

		/* Translation */
		$blake_von_hauer_tra_PrevPost = esc_html__( 'PREVIOUS POST', 'blake-von-hauer' );
		$blake_von_hauer_tra_NextPost = esc_html__( 'NEXT POST', 'blake-von-hauer' );

		if ( get_theme_mod( 'blake_von_hauer_IgnorePOT', 0 ) ) {

			$blake_von_hauer_tra_PrevPost = get_theme_mod( 'blake_von_hauer_tra_PrevPost', 'PREVIOUS POST' );
			$blake_von_hauer_tra_NextPost = get_theme_mod( 'blake_von_hauer_tra_NextPost', 'NEXT POST' );

		}
		/* */

		/* Checkbox Default Values */
		$blake_von_hauer_sh_RelatedPosts = get_theme_mod( 'blake_von_hauer_sh_RelatedPosts', 1 );
		$blake_von_hauer_sh_PostComments = get_theme_mod( 'blake_von_hauer_sh_PostComments', 1 );
		$blake_von_hauer_sh_SidebarPost_Standard = get_theme_mod( 'blake_von_hauer_sh_SidebarPost_Standard', 1 );
		$blake_von_hauer_sh_SidebarPost_Gallery = get_theme_mod( 'blake_von_hauer_sh_SidebarPost_Gallery', 1 );
		$blake_von_hauer_sh_SidebarPost_Video = get_theme_mod( 'blake_von_hauer_sh_SidebarPost_Video', 1 );
		$blake_von_hauer_sh_RPDate = get_theme_mod( 'blake_von_hauer_sh_RPDate', 0 );
		/* */

		/* Radio Default Values */
		$blake_von_hauer_opt_RPBase = get_theme_mod( 'blake_von_hauer_opt_RPBase', 'tag' );
		/* */

		$current_layout = blake_von_hauer_applyLayout();

		?>

    	<div class="clearfix main-container<?php echo esc_attr( $current_layout ); ?>">
        	<div class="clearfix site-content<?php echo esc_attr( $current_layout ); ?>">

				<?php

				/* Leaderboard Banner */ if ( function_exists( 'blake_von_hauer_detectLeaderboard' ) ) { blake_von_hauer_detectLeaderboard ( 'above-post' ); } /* */

                if ( have_posts() ) :
                    while ( have_posts() ) : the_post();

                    if ( function_exists( 'blake_von_hauer_setPostViews' ) ) { blake_von_hauer_setPostViews( get_the_ID() ); }
										$meta_sidebar = get_post_meta( get_the_ID(), 'bvh-sidebar-meta-box-checkbox', true );

                    get_template_part( 'content', get_post_format() );

                    endwhile;

                    else :

                    get_template_part( 'nothing-found' );

                    endif;

                    ?>

                    <?php if ( get_theme_mod( 'blake_von_hauer_sh_AuthorBox', 1 ) ) { echo blake_von_hauer_author_box(); } ?>

                    <div class="page-navi clearfix">

                        <?php

                        $next_post = get_adjacent_post( false, '', false );
                        $prev_post = get_adjacent_post( false, '', true );

                        if( !empty( $prev_post ) ) { ?>

                            <div class="page-navi-prev clearfix">
                                <a href="<?php echo get_permalink( $prev_post->ID ); ?>">
                                    <div class="page-navi-prev-info">
                                        <?php if ( has_post_thumbnail( $prev_post->ID ) ) { ?><span class="page-navi-prev-img"><?php echo get_the_post_thumbnail( $prev_post->ID, 'blake-von-hauer-small-thumbnail-image' ); ?></span><?php } ?><div class="table-cell-middle <?php echo get_theme_mod( 'blake_von_hauer_swiFont_PostNav', 'blake-von-hauer-font-1' ); ?>"><div class="page-navi-badge blake-von-hauer-font-3 fs11 fst-italic"><?php echo esc_attr( $blake_von_hauer_tra_PrevPost ); ?></div><?php echo get_the_title( $prev_post->ID ); ?></div>
                                    </div>
                                </a>
                            </div>

                        <?php }

                        if( !empty( $next_post ) ) { ?>

                            <div class="page-navi-next clearfix">
                                <a href="<?php echo get_permalink( $next_post->ID ); ?>">
                                	<div class="page-navi-next-info">
                                        <div class="table-cell-middle <?php echo get_theme_mod( 'blake_von_hauer_swiFont_PostNav', 'blake-von-hauer-font-1' ); ?>"><div class="page-navi-badge blake-von-hauer-font-3 fs11 fst-italic"><?php echo esc_attr( $blake_von_hauer_tra_NextPost ); ?></div><?php echo get_the_title( $next_post->ID ); ?></div><?php if ( has_post_thumbnail( $next_post->ID ) ) { ?><span class="page-navi-next-img"><?php echo get_the_post_thumbnail( $next_post->ID, 'blake-von-hauer-small-thumbnail-image' ); ?></span><?php } ?>
                                    </div>
                                </a>
                            </div>

                         <?php } ?>

                    </div>

                    <?php

					/* Leaderboard Banner */ if ( function_exists( 'blake_von_hauer_detectLeaderboard' ) ) { blake_von_hauer_detectLeaderboard ( 'below-post' ); } /* */

					$blake_von_hauer_orig_post = $post;
					global $post;
					$blake_von_hauer_tags = wp_get_post_tags( $post->ID );
					$blake_von_hauer_cats = wp_get_post_categories( $post->ID );
					$blake_von_hauer_author_id = get_the_author_meta( 'ID' );
					$blake_von_hauer_RPBaseTermIDs = '';

					if ( $blake_von_hauer_opt_RPBase == 'tag' ) { $blake_von_hauer_RPBaseTermIDs = $blake_von_hauer_tags; } else if ( $blake_von_hauer_opt_RPBase == 'category' ) { $blake_von_hauer_RPBaseTermIDs = $blake_von_hauer_cats; }

					if ( $blake_von_hauer_RPBaseTermIDs || $blake_von_hauer_opt_RPBase == 'author' ) {

						if ( $blake_von_hauer_opt_RPBase == 'tag' ) {

							$blake_von_hauer_tag_ids = array();
							foreach ( $blake_von_hauer_tags as $blake_von_hauer_individual_tag ) { $blake_von_hauer_tag_ids[] = $blake_von_hauer_individual_tag->term_id; }

							$args = array(
								'tag__in' => $blake_von_hauer_tag_ids,
								'post__not_in' => array( $post->ID ),
								'posts_per_page' => 3, // Number of related posts to display.
								'ignore_sticky_posts' => 1

							);

						} else if ( $blake_von_hauer_opt_RPBase == 'category' ) {

							$blake_von_hauer_cat_ids = array();
							foreach ( $blake_von_hauer_cats as $blake_von_hauer_individual_cat ) { $cat = get_category( $blake_von_hauer_individual_cat ); $blake_von_hauer_cat_ids[] = $cat->term_id; }

							$args = array(
								'category__in' => $blake_von_hauer_cat_ids,
								'post__not_in' => array( $post->ID ),
								'posts_per_page' => 3, // Number of related posts to display.
								'ignore_sticky_posts' => 1

							);

						} else if ( $blake_von_hauer_opt_RPBase == 'author' ) {

							$args = array(
								'author' => $blake_von_hauer_author_id,
								'post__not_in' => array( $post->ID ),
								'posts_per_page' => 3, // Number of related posts to display.
								'ignore_sticky_posts' => 1

							);

						}

						$blake_von_hauer_my_query = new wp_query( $args );

						if ( $blake_von_hauer_sh_RelatedPosts && $blake_von_hauer_my_query->have_posts() ) { ?>

							<!-- related-posts-container -->
							<div class="related-posts-container clearfix">
								<!-- related-posts-outer -->
								<div class="clearfix related-posts-outer<?php echo esc_attr( $current_layout ); ?>">
									<!-- related-posts -->
									<div class="related-posts clearfix">

										<!-- related-posts-row -->
										<div class="related-posts-row<?php echo esc_attr( $current_layout ); ?>">
											<?php

											while( $blake_von_hauer_my_query->have_posts() ) {
												$blake_von_hauer_my_query->the_post();

											?>

											<div class="clearfix related-post-item<?php echo esc_attr( $current_layout ); ?>">
                                                <a class="blake-von-hauer-posts-widget" href="<?php esc_url( the_permalink() ); ?>">
													<?php

													$meta_hor = get_post_meta( get_the_ID(), 'bvh-hor-meta-box-checkbox', true );

													if ( has_post_thumbnail() ) { ?><div class="listing-img-outer"><?php if ( !$meta_hor ) { the_post_thumbnail( 'blake-von-hauer-thumbnail-image' ); } else { the_post_thumbnail( 'blake-von-hauer-thumbnail-image-hor' ); } ?></div><?php } ?>
                                                    <div class="listing-box clearfix">
                                                    	<?php if ( $blake_von_hauer_sh_RPDate ) { ?><div class="blake-von-hauer-font-3 fw700 fst-italic listing-date"><?php echo get_the_date(); ?></div><?php } ?>
                                                    	<div class="listing-title <?php echo get_theme_mod( 'blake_von_hauer_swiFont_RP', 'blake-von-hauer-font-1' ); ?>"><?php the_title(); ?></div>                                                    </div>
                                                </a>
											</div>

											<?php }

											$post = $blake_von_hauer_orig_post;
											wp_reset_postdata();

											?>
										</div><!-- /related-posts-row -->

									</div><!-- /related-posts -->
								</div><!-- /related-posts-outer -->
							</div><!-- /related-posts-container -->

						<?php }

					}

				if ( $blake_von_hauer_sh_PostComments ) { comments_template(); }

				/* Leaderboard Banner */ if ( function_exists( 'blake_von_hauer_detectLeaderboard' ) ) { blake_von_hauer_detectLeaderboard ( 'below-post-comments' ); } /* */

				?>

            </div><!-- /site-content -->
		</div><!-- /main-container -->

    </div><!-- /article-wrapper-outer -->

    <!-- sidebar -->
    <?php

        if ( get_post_format() == '' && $blake_von_hauer_sh_SidebarPost_Standard && !$meta_sidebar ) {

            if ( get_theme_mod( 'blake_von_hauer_ExtraSidebar_Post' ) ) {

                echo '<div class="sidebar clearfix">';
                    dynamic_sidebar( 'blake_von_hauer_sidebar_post' );
                echo '</div>';

            } else {

                get_sidebar();

            }

        } else if ( get_post_format() == 'gallery' && $blake_von_hauer_sh_SidebarPost_Gallery && !$meta_sidebar ) {

            if ( get_theme_mod( 'blake_von_hauer_ExtraSidebar_Post' ) ) {

                echo '<div class="sidebar clearfix">';
                    dynamic_sidebar( 'blake_von_hauer_sidebar_post' );
                echo '</div>';

            } else {

                get_sidebar();

            }

        } else if ( get_post_format() == 'video' && $blake_von_hauer_sh_SidebarPost_Video && !$meta_sidebar ) {

            if ( get_theme_mod( 'blake_von_hauer_ExtraSidebar_Post' ) ) {

                echo '<div class="sidebar clearfix">';
                    dynamic_sidebar( 'blake_von_hauer_sidebar_post' );
                echo '</div>';

            } else {

                get_sidebar();

            }

        }

    ?>
    <!-- /sidebar -->

</div><!-- /site-mid -->

<?php get_footer(); ?>
